.\" bm# 0000002118
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)copy.C	1.1);


.ds mc 
.ds rv Revision 1
.TH COPY C
.SH Name
copy \- Copies groups of files.
.SH Syntax
.B copy
[ option ] ...  source ...  dest
.SH Description
.PP
The
.I copy
command copies the contents of 
directories to another directory.
It is possible to
copy whole file systems since directories are made when needed.
.PP
If files, directories, or special files
do not exist at the destination, then they are created with the
same modes and flags as the source.
In addition, the super\-user may set the user and group 
.SM ID.
The owner and mode are not changed if the destination file exists.
Note that there may be more than one
source directory.
If so, the effect is the same as if the
.I copy
command had been issued for each source directory
with the the same destination directory for each copy. 
.PP
All of the options must be given as separate arguments and they
may appear in any order even after the other arguments.
The arguments are:
.TP 8
.B \-a
Asks the user before attempting a copy.
If the response does not begin with a ``y'', then a copy 
is not done.
This option also sets the 
.B \-ad 
option.
.TP
.B \-l
Uses links instead whenever they can be used.
Otherwise
a copy is done.
Note that links are never done for
special files or directories.
.TP
.B \-n
Requires the destination file to be new.
If not, then
the 
.I copy\^
command does not change the destination file.
The 
.B \-n
flag is meaningless for directories.
For special files an 
.B \-n
flag is assumed
(i.e., the
destination of a special file must not exist).
.TP
.B \-o
'\"	Only the super-user may set this option.
If set then
every file copied has its owner and group set to
those of the source.
If not set, then the file's owner is
the user who invoked the program.
.TP
.B \-m
If set, then
every file copied has its modification time and access time set to
that of the source.
If not set, then the modification time
is set to the time of the copy.
.TP
.B \-r
If set, then every directory is recursively examined as
it is encountered.
If not set then any directories
that are found are ignored.
.TP
.B \-ad
Asks the user whether an 
.B \-r 
flag applies when a
directory is discovered.
If the answer does not begin
with a ``y'', then the directory is ignored.
.TP
.B \-v
If the verbose option is set messages
are printed that reveal what the program is doing.
.TP
.B source
This may be a file, directory or special file.
It must
exist.
If it is not a directory, then the results of
the command are the same as for the 
.I cp 
command.
.TP
.B dest
The destination must be either a file or directory
that is different from the source.
.PP
If the source and destination
are anything but directories, then 
.I copy 
acts just like a 
.I cp 
command.
If both are directories, then 
.I copy
copies each file into the destination directory
according to the flags that have been set.
.SH Notes
Special device files can be copied. When they are copied
any data associated with the specified device is
.I not
copied.
'\"	.SH Diagnostics
'\"	Should be self-explanatory.
