.\" bm# 0000002116
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)cpio.C	1.1);


.ds mc 
.ds rv Revision 1
.TH CPIO C
.SH Name
cpio \- Copies file archives in and out.
.SH Syntax
.B cpio
.B \-o
[
.B acBv
]
.PP
.B cpio
.B \-i
[
.B Bcdmrtuv
] [ patterns ]
.PP
.B cpio
.B \-p
[
.B adlmruv
] directory
.SH Description
.I Cpio \-o
(copy out)
reads the standard input to obtain a list of pathnames
and copies those files onto the
standard output
together with pathname and status information.
.PP
.I Cpio \-i
(copy in)
extracts from the
standard input (which is assumed to be the product of a previous
.IR "cpio \-o" )
the names of files selected by
zero or more
.I patterns\^
given in the name-generating notation of
.IR sh\| (C).
In
.IR patterns ,
the special characters
.BR ? ,
.BR \(** ,
and
.BR [ \|.\|.\|. ]
match the slash (
.B /
) character.
The default for
.I patterns\^
is
.BR \(**
(i.e., select all files).
.PP
Remember to escape special characters to prevent
expansion by the shell.
.PP
.I Cpio \-p
(pass) copies
out and in
during a single operation.
Destination pathnames are interpreted relative to the named
.IR directory .
.PP
The meanings of the available options are:
.PP
.TP 7
.B \-a
Resets access times of input files after they have been copied.
.TP
.B \-B
Blocks input/output 5,120 bytes to the record
(does not apply to the
.I pass\^
option; meaningful only with data directed to or from
raw devices).
.TP
.B \-d
Directories are created as needed.
.TP
.B \-c
Writes header information in
.SM ASCII
character form for portability.
.TP
.B \-r
Interactively
renames
files.
If the user types a null line, the
file is skipped.
.TP
.B \-t
Prints a
table of contents
of the input.
No files are created.
.TP
.B \-u
Copies
unconditionally
(normally an older file will not replace 
a newer file with the same name).
.TP
.B \-v
Verbose:
causes a list of filenames to be printed.
When used with
the
.B \-t
option,
the table of contents looks like the output of an
.B ls\ \|\-l
command
(see
.IR ls\| (C)).
.TP
.B \-l
Whenever possible, links files rather than copying them.
Usable only with
the
.B \-p
option.
.TP
.B \-m
Retains previous file modification time.
This option is ineffective on directories that are being copied.
'\"	.TP
'\"	.B \-6
'\"	Processes an old (i.e.,
'\"	.SM XENIX
'\"	Sixth
'\"	Edition format)
'\"	file.
'\"	Only useful with
'\"	.I \-i
'\"	(copy in).
.PD
.SH Examples
The first example below copies the contents of a directory
into an archive;
the second duplicates a directory hierarchy:
.PP
.RS
ls \|| \|cpio \|\-o \|>/dev/fd0
.PP
.PP
cd \|olddir
.br
find
.B \|.\|
\-print | \|cpio \|\-pdl \|newdir
.RE
.PP
Or:
.PP
.RS
find 
.B \|.\|
\-print | \|cpio \|\-oB \|>/dev/rfd0''
.RE
.SH "See Also"
ar(CP), find(C), cpio(F)
.SH Notes
Pathnames are restricted to 128 characters.
If there are too many unique linked files,
the program runs out of
memory to keep track of them
and thereafter linking information is lost.
Only the super-user can copy special files.
