.\" bm# 0000002115
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)cron.C	1.1);


.ds mc 
.ds rv Revision 1
.TH CRON C
.SH Name
cron \- Executes commands at specified times.
.SH Syntax
.B /etc/cron
.SH Description
.I Cron\^
is the clock daemon that
executes commands at specified dates and times
according to the instructions in the file
.BR /usr/lib/crontab .
Because
.I cron\^
never exits,
it should be executed only once.
This is best done by running
.I cron\^
from the initialization process through the file
.BR /etc/rc .
.PP
The file
.B crontab
consists of lines of six fields each.
The fields are separated by spaces or tabs.
The first five are integer patterns that
specify the
minute (0-59),
hour (0-23),
day of the month (1-31),
month of the year (1-12),
and day of the week (0-6, with 0=Sunday).
Each of these patterns may
contain:
.TP "w\-\ \ \ 'u"
\- 
A number in the (respective) range indicated above
.TP "w\-\ \ \ 'u"
\- 
Two numbers separated by a minus (indicating an inclusive range)
.TP "w\-\ \ \ 'u"
\- 
A list of numbers separated by commas (meaning all of these numbers) 
.TP "w\-\ \ \ 'u"
\- 
An asterisk (meaning all legal values)
.PP
The sixth field is a string
that is executed by the shell at the
specified time(s).
A
.B %
in this field is translated into a newline
character.
Only the first line (up to a
.B %
or end-of-line)
of the command field is executed by the shell.
The other lines are made available to the
command as standard input.
.PP
.I Cron\^
examines
.B crontab
periodically to see
if it has changed; if it has,
.I cron\^
reads it.
Thus it takes only a short while
for entries to become effective.
.SH Examples
An example 
.B crontab 
file follows:
.PP
.nf
30 4 * * *	/etc/sa -s > /dev/null
0  4 * * *	calendar -
15 4 * * *	find /usr/preserve -mtime +7 -a -exec rm -f {} \;
30 4 1 1 1	/usr/lib/uucp/cleanlog
40 4 * * *	find / -name '#*' -atime +3 -exec rm -f {} \;
0,5,10,15,20,25,30,35,40,45,50,55 * * * *	/usr/lib/atrun
0,10,20,30,40,50 * * * *	/etc/dmesg - >>/usr/adm/messages
1,21,41 * * * *	(echo -n ' '; date; echo 
) >/dev/console
.fi
.PP
A history of all actions by
.I cron\^
can be recorded in
.BR /usr/lib/cronlog .
This logging occurs only if the variable
.SM CRONLOG
in 
.B /etc/default/cron
is set to YES.
By default this value is set to NO and no logging occurs.
If logging should be turned on, be sure to monitor the size of
.B /usr/lib/crontab
so that it doesn't unreasonably consume disk space.
.SH Files
/usr/lib/crontab
.PP
/usr/lib/cronlog
.PP
/etc/default/cron
.SH "See Also"
sh(C)
.SH Notes
.I Cron\^
reads
.B crontab
only when it has changed, but it reads the in-core
version of that table periodically.
