.\" bm# 0000002105
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)diff3.C	1.1);


.ds mc 
.ds rv Revision 1
.TH DIFF3 C 
.SH Name
diff3 \- Compares three files.
.SH Syntax
.B diff3
[
.B \-ex3
]
file1 file2 file3
.SH Description
.I Diff3\^
compares three versions of a file,
and publishes disagreeing ranges of text
flagged with these codes:
.RS
.TP 16
====
All three files differ
.TP 16
====1
.IR File1 " is different"
.TP 16
====2
.IR File2 " is different"
.TP 16
====3
.IR File3 " is different"
.RE
.PP
The type of change suffered in converting a given range
of a given file to some other range is
indicated in one of these ways:
.RS
.TP 16
.IB f " : " n1 " a"
Text is to be appended after line number
.I n1\^
in file
.IR f ,
where
.I f\^
= 1, 2, or 3.
.TP 16
.IB f " : " n1 " , " n2 " c"
Text is to be
changed in the range line
.I n1\^
to line
.IR n2 .
If 
.I n1\^
=
.IR n 2,
the range may be abbreviated to
.IR n1 .
.RE
.PP
The original contents of the range follows immediately
after a
.B c
indication.
When the contents of two
files are identical, the contents of the lower-numbered
file is suppressed.
.PP
Under the
.B \-e
option,
.I diff3\^
publishes a script for the editor
.I ed\^
that will incorporate into
.I file1\^
all changes between
.I file2\^
and
.IR file3 ,
i.e., the changes that normally would be flagged ==== and ====3.
The 
.B \-x
option produces a script to incorporate
changes flagged with ``====''.
Similarly, the
.B \-3
option produces a script to incorporate
changes flagged with ``====3''.
The following command applies a resulting editing script to
.IR file1 :
.RS
.sp 10p
(cat script; echo \(fm1,$p\(fm) | ed \- file1
.RE
.SH Files
/tmp/d3\(**
.br
.sp 10p
/usr/lib/diff3prog
.SH "See Also"
diff(C)
.SH Notes
The 
.BR \-e 
option does not work properly for lines
consisting of a single period.
.sp 10p
The input file size limit is 64K bytes.
