.\" bm# 0000002099
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)dump.C	1.1);


.ds mc 
.ds rv Revision 1
.TH DUMP C 
.SH Name
dump \- Performs incremental file system backup.
.SH Syntax
.B dump
[ key [ arguments ] filesystem ]
.SH Description
.I Dump\^
copies to the specified device all files
changed after a certain date in the
.IR filesystem .
The
.I key\^
specifies the date and other options about the backup,
where a
.I key\^
consists of characters from the set 
.B 0123456789kfusd.
The meanings of these characters are described below:
.PP
.TP 5
.B  f
Places the backup on the next 
.I argument\^
file instead of the default device.
.TP 5
.B  u
If the backup completes successfully,
writes the date of the beginning of the backup to the file
.BR /etc/ddate .
This file records a separate date for
each file system and each backup level.
.TP 5
.B  0\-9
This number is the ``backup level''.
Backs up all files modified since 
the last date stored in the file
.B /etc/ddate
for the same file system at lesser levels.
If no date is determined by the level,
the beginning of time is assumed;
thus the option
.B 0
causes the entire file system to be backed up.
.TP 5
.B  s
For backups to magnetic tape,
the size of the tape specified in feet.
The number of feet is taken from the next
.IR argument .
When the specified size is reached,
.I dump
will wait for reels to be changed.
The default size is 2,300 feet.
.TP 5
.B d
For backups to magnetic tape,
the density of the tape, expressed in
.SM BPI\*S,
is taken from the next
.IR argument .
This is used in calculating the amount of tape used per write.
The default is 1600.
.TP 5
.B k
This option is used when backing up to a block-structured device,
such as a floppy disk.
The size (in K-bytes) of the volume being written
is taken from the next
.I argument.
If the
.B k
argument is specified, any
.B s
and
.B d
arguments are ignored.
The default is to use
.B s
and
.B d.
.PD
.PP
.DT
If no arguments are given, the
.I key\^
is assumed to be
.B 9u
and a default file system is backed up
to the default device.
.ne 1i
.PP
The first backup should be a full level-0 backup:
.PP
.RS
dump\ \|0u
.sp 10p
.RE
Next, periodic level 9 backups should be made on an
exponential progression of tapes or floppies:
.PP
.RS
dump\ \|9u
.sp 10p
.RE
(This is sometimes called the Tower of Hanoi progression
after the name of the game where a similar
progression occurs, i.e., 1 2 1 3 1 2 1 4 ...
where backup 1 is used every other time,
backup 2 every fourth,
backup 3 every eighth, etc.)
When the level-9 incremental backup becomes
unmanageable because a tape is full or too many
floppies are required,
a level-1 backup should be made:
.PP
.RS
dump\ \|1u
.sp 10p
.RE
After this, the exponential series should progress as if uninterrupted.
These level-9 backups are based on the level-1 backup, which
is based on the level-0 full backup.
This progression of levels of backups can be carried
as far as desired.
.PP
The default file system and the backup device depend
on the settings of the variables 
.SM DISK 
and 
.SM TAPE\*S,
respectively,
in the file 
.BR /etc/default/dump .
.SH Files
.TP 20
/etc/ddate
Records backup dates of file system/level
.TP
etc/default/dump
Default dump information
.SH "See Also"
XENIX \fIOperations Guide\fR
.br
cpio(C),
default(M),
dumpdir(C),
restor(C),
dump(F)
.bp
.SH Diagnostics
If the backup requires more than one volume
(where a volume is likely to be a floppy disk or tape),
you will be asked to change volumes.
Press 
.SM RETURN
after changing volumes.
.ne 2i
.SH Notes
Sizes are based on 1600
.SM BPI
for blocked tape;
the raw magnetic tape device has to be used to
approach these densities.
Write errors to the backup device are usually fatal.
Read errors on the file system are ignored.
.SH Warning
When backing up to floppy disks, be sure to have enough
.I formatted
floppies ready before starting a backup.
.DT
