.\" bm# 0000002081
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)join.C	1.1);


.ds mc 
.ds rv Revision 1
.TH JOIN C 
.SH Name
join \- Joins two relations.
.SH Syntax
.B join
[
options
]
file1 file2
.SH Description
.I Join\^
forms, on the standard output,
a join
of the two relations specified by the lines of
.I file1\^
and
.IR file2 .
If
.I file1\^
is a dash 
.RB ( \- ), 
the standard input is used.
.PP
.I File1\^
and 
.I file2\^
must be sorted in increasing 
.SM ASCII
collating sequence on the fields
on which they are to be joined,
normally the first in each line.
.PP
There is one line in the output 
for each pair of lines in 
.I file1\^
and 
.I file2\^
that have identical join fields.
The output line normally consists of the common field,
then the rest of the line from 
.IR file1 ,
then the rest of the line from
.IR file2 .
.PP
Fields are normally separated by blank, tab or newline.
In this case, multiple separators count as one, and
leading separators are discarded.
.PP
These options are recognized:
.TP 10
.BI \-a n\^
In addition to the normal output,
produces a line for each unpairable line in file
.IR n ,
where
.I n\^
is 1 or 2.
.TP
.BI \-e \ s\^
Replaces empty output fields by string
.IR s . 
.TP
.BI \-j n\ m\^
Joins on the
.IR m th
field of file
.IR n .
If
.I n\^
is missing, uses the
.IR m th
field in each file.
.TP
.BI \-o \ list\^
Each output line comprises the fields specifed in
.IR list ,
each element of which has the form
.IB n . m\^\fR,
where
.I n\^
is a file number and
.I m\^
is a field number.
.TP
.BI \-t c\^
Uses character
.I c\^
as a separator (tab character).
Every appearance of
.I c\^
in a line is significant.
.bp
.SH "See Also"
awk(C), comm(C), sort(C)
.SH Notes
With default field separation,
the collating sequence is that of
.BR "sort \-b" ;
with
.BR \-t ,
the sequence is that of a plain sort.
