.\" bm# 0000002071
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)mail.C	1.1);


.ds mc 
.ds rv Revision 1
.TH MAIL C
.SH Name
mail \- Sends, reads or disposes of mail.
.SH Syntax
.B mail
.RB [[ \-u " user]"
.RB [ \-f " mailbox]]"
.RB [ \-R ]
.RB [ \-i ]
[ users ...]
.PP
.B mail
.RB [ \-s " subject]"
.RB [ \-i ]
[ user ...]
.SH Description
.I Mail\^
is a mail processing system that supports 
composing of messages, and sending and receiving of
mail between multiple users.
When sending mail, a
.I user
is the name of a user or of an alias assigned to a
machine or to a group of users.
.PP
Options include:
.TP
.BI \-u " user"
.br
Tells 
.I mail 
to read the system mailbox belonging to the specified 
.I user.
.TP
.BI \-f " mailbox"
Tells 
.I mail 
to read the specified 
.I mailbox
instead of the default user's system mailbox.
.TP
.B \-R
Makes the mail session ``read-only'' by preventing
alteration of the mailbox being read.
Useful when accessing system-wide mailboxes.
.TP
.B \-i
Tells 
.I mail
to ignore interrupts sent from the terminal.
This is useful when reading or sending mail 
over telephone lines
where ``noise'' may produce unwanted interrupts.
.TP
.BI \-s " subject"
Specifies 
.I subject
as the text of the 
.IR Subject:
field for the message being sent.
.SS "\fISending mail\fR"
To send a message to one or more other people,
invoke
.I mail\^
with arguments which are the names of people to
send to.  
You are then expected to type in your message, followed by a 
.SM CNTRL-D
at the beginning of a line.
.bp
.SS "\fIReading Mail\fR"
To read mail,
invoke
.I mail\^
with no arguments. 
This will check your mail out of the
system-wide directory so that you can read and
dispose of the messages sent to you.
A message header is printed out
for each message in your mailbox
The current message is initially the last numbered message 
and can be printed using the
.B print
command (which can be abbreviated 
.BR p ).
You can move among the messages much as you move between lines in
.I ed,
with the commands 
.B + 
and 
.B \- 
moving backwards and forwards, and
simple numbers typing the addressed message.
.SS "\fIDisposing of Mail\fR"
After examining a message you can
.B delete
.RB ( d )
the message or
.B reply
.RB ( r )
to it.
Deletion causes the
.I mail\^
program to forget about the message.
This is not irreversible, the message can be
.B undeleted
.RB ( u )
by giving its number, or the
.I mail\^
session can be aborted by giving the
.B exit
.RB ( x )
command.
Deleted messages will, however, usually disappear 
never to be seen again.
.SS "\fISpecifying Messages\fR"
Commands such as
.B print
and
.B delete
often can be given a list of message numbers as argument to apply
to a number of messages at once.
Thus ``delete 1 2'' deletes messages 1 and 2, while ``delete 1\-5''
deletes messages 1 through 5.
The special name ``*'' addresses all messages, and ``$'' addresses
the last message; thus the command
.B top
which prints the first few lines of a message could be used in
``top *'' to print the first few lines of all messages.
.SS "\fIReplying to or Originating Mail\fR"
You can use the
.B reply
command to set up a response to a message, sending it back to the
person who it was from.
Text you then type in, up to a 
.SM CNTRL-D
defines the contents of
the message.
While you are composing a message,
.I mail\^
treats lines beginning with a tilde (~) as special.
For instance, typing ``~m'' (alone on a line) places a copy
of the current message 
into the response, right shifting it by one tabstop.
Other escapes set up subject fields, add and delete recipients
to the message, and allow you to escape to an editor to revise the
message or to a shell to run some commands.  (These options
are be given in the summary below.)
.SS "\fIEnding a Mail Session\fR"
You can end a
.I mail\^
session with the
.B quit
.RB ( q )
command.
Messages which have been examined go to your
.I mbox\^
file unless they have been deleted in which case they are discarded.
Unexamined messages go back to the post office.
The
.B \-f
option causes
.I mail\^
to read in the contents of your
.I mbox\^
(or the specified file)
for processing; when you
.B quit
.I mail\^
writes undeleted messages back to this file.
The
.B \-i
option causes
.I mail\^
to ignore interrupts.
.SS "\fIUsing Aliases and Distribution Lists\fR"
It is also possible to create a personal distribution lists so that,
for instance, you can send mail to ``cohorts'' and have it go
to a group of people.
Such lists can be defined by placing a line like
.IP
alias cohorts bill bob barry bobo betty beth bobbi
.PP
in the file \&.mailrc in your home directory.
The current list of such aliases can be displayed by the
.B alias
.B (a)
command in
.I mail.
System wide distribution lists can be created by editing
/usr/lib/aliases, see
.IR aliases\^ (M);
these are kept in a slightly different syntax.
In mail you send, personal aliases will be expanded in mail sent
to others so that they will be able to 
.B reply
to the recipients.
System wide 
.I aliases\^
are not expanded when the mail is sent,
but any reply returned to the machine will have the system-wide
alias expanded.
'\"	as all mail goes through
'\"	.I delivermail.
'\"	If you edit
'\"	/usr/lib/aliases, you must run the program
'\"	.IR newaliases (C).
.PP
.I Mail
has a number of options which can be
.B set
in the
.I \&.mailrc
file to alter its behavior; thus ``set askcc'' enables the ``askcc''
feature.  (These options are summarized below.)
.ne 1i
.SH Summary
Each mail command is typed on a line by itself, and may take arguments
following the command word.  
The command need not be typed in its
entirety \- the first command which matches the typed prefix is used.
For the commands that take message lists as arguments, if no message
list is given, then the next message forward that satisfies the
command's requirements is used.  
If there are no messages forward of
the current message, the search proceeds backwards, and if there are no
good messages at all,
.I mail
types ``No applicable messages'' and
aborts the command.
.TP 12n
.B \-
Goes to the previous message and prints it out.  If given a numeric
argument
.IR n ,
goes to the
.IR n th
previous message and prints it.
.TP
.B \+
Goes to the next message and prints it out.  If given a numeric
argument
.IR n ,
goes to the
.IR n th
next message and prints it.
.TP
.B \s-1RETURN\s+1
Goes to the next message and prints it out.
.TP
.B ?
Prints a brief summary of commands.
.TP
.B !
Executes the shell command which follows.
.TP
.B =
Prints out the current message number.
.TP
.B ^
Prints out the first message.
.TP
.B $
Prints out the last message.
.TP
.B alias
(\fBa\fR) With no arguments, 
prints out all currently-defined aliases.  With one
argument, prints out that alias.  With more than one argument, adds the
users named in the second and later arguments to the alias named in the
first argument.
.TP
.B cd
(\fBc\fR) Changes the user's working directory to 
that specified, if given.  
If no directory is given, then changes to the user's login directory.
.TP
.B delete
(\fBd\fR) Takes a list of messages 
as an argument and marks them all as deleted.
Deleted messages are not retained in the system
mailbox after a quit,
nor are they available to any command other than the
.I undelete 
command.
.TP
.B dp
Deletes the current message and prints the next message.
If there is no next message, 
.I mail
says ``at EOF.''
.TP
.B edit
(\fBe\fR) Takes a list of messages and points 
the text editor at each one in turn.  
On return from the editor, the message is read back in.
.TP
.B exit
(\fBx\fR) Effects an immediate return to the shell without
modifying the user's system mailbox, his
.I mbox
file, or his edit file in
.B \-f .
.TP
.B file
(\fBfi\fR) Switches mailbox files to the file given by a
filename argument. (Not yet implemented.)
.TP
.B forward
(\fBf\fR) Forwards the current message to the named users. 
Current message is indented within forwarded message.
.TP
.B Forward
(\fBF\fR) Forwards the current message to the named users. 
Current message is 
.I not
indented within forwarded message.
.TP
.B headers
(\fBh\fR) Lists the current range of headers, 
which is an 18 message group.  
If a ``+'' argument is given, 
then the next 18 message group is printed, 
and if
a ``\-'' argument is given, the previous 18 message group is printed.
Both ``+'' and ``-'' may take a number to view a
particular window.
If a message-list is given, it prints the specified headers.
.TP
.B hold
(\fBho\fR) Takes a message list and marks each
message therein to be saved in the
user's system mailbox instead of in
.I mbox.
Use only when the switch
.I autombox 
is set.
Does not override the
.B delete
command.
.TP
.B lpr
(\fBl\fR) Prints out each message in a message-list
on the lineprinter.
.TP
.B mail
(\fBm\fR) Takes as argument login names and 
distribution group names and sends
mail to those people.
.TP
.B mbox
(\fBmb\fR) Marks messages in a message list so that
they are saved in the user mailbox after leaving mail.
.TP
.B next
(\fBn\fR like \fB+\fR or \s-1RETURN\s+1) Goes to the next message 
in sequence and prints it.
With an argument list, types the next matching message.
.TP
.B print
(\fBp\fR) Prints out each message in a message-list
on the terminal display.
.TP
.B quit
(\fBq\fR) Terminates the session, retaining
all undeleted, unsaved messages in the system mailbox
and removing all other messages. 
Files marked with a star (*) are saved; files marked
with an ``M'' are saved in the user mailbox.
If new mail has arrived during the session, the message
``You have new mail'' is given.  If given while editing a
mailbox file with the
.B \-f
flag, then the edit file is rewritten.  
The user returns to the shell,
unless the rewrite of edit file fails, in which case the user
can escape with the
.B exit
command.
.TP
.B reply
(\fBr\fR) Takes a message list and 
sends mail to each message author.
The default message must not be deleted.
.TP
.B Reply
(\fBR\fR) Takes a message list and 
sends mail to each message author 
.I and each member of the message list in the cc field,
just like the
.B mail
command.  
The default message must not be deleted.
.TP
.B save
(\fBs\fR) Takes a message list and a filename 
and appends each message in
turn to the end of the file.  
The filename in quotes, followed by the line
count and character count is echoed on the user's terminal.  
.TP
.B set
(\fBse\fR) With no arguments, prints all variable values.  
Otherwise, sets option.  
Arguments are of the form ``option=value'' or ``option''.
.TP
.B shell
(\fBsh\fR) Invokes an interactive version of the shell.
.TP
.B size
(\fBsi\fR) Takes a message list and prints out the size 
in characters of each message.
.TP
.B source
(\fBso\fR) Reads mail commands from the file given
as its only argument.
.TP
.B top
(\fBt\fR) Takes a message list and prints the top few lines of each.  
The number of lines printed is controlled by the variable
.B toplines
and defaults to five.
.TP
.B undelete
(\fBu\fR) Takes a message list and marks each one as
.I not
being deleted.
.TP
.B unset
(\fBuns\fR) Takes a list of option names 
and discards their remembered values;
the inverse of
.B set .
.TP
.B visual
(\fBv\fR) Takes a message list and invokes the display editor on each message.
.TP
.B write
(\fBw\fR) A synonym for
.B save .
.PP
Here is a summary of the compose escapes,
which are used when composing messages to perform
special functions.  
Compose escapes are only recognized at the beginning of lines.  
.TP 12n
\fB~b\fR name ...
Adds the given names to the list of blind carbon copy recipients.
.TP 12
\fB~c\fR name ...
Adds the given names to the list of carbon copy recipients.
.TP 12
\fB~cc\fR name ...
Same as ~c above.
.TP
.B ~d
Reads the file ``dead.letter'' from your home directory into the message.
.TP
.B ~e
Invokes the text editor on the message collected so far.  After the
editing session is finished, you may continue appending text to the
message.
.TP
.B ~h
Edits the message header fields by typing each one in turn and allowing
the user to append text to the end or modify the field with
the current terminal erase and kill characters.
.TP
\fB~m\fR messages
Reads the named messages into the message buffer, shifted right one
tab.  If no messages are specified, reads the current message.
.TP
\fB~M\fR messages
Reads the named messages into the message buffer, shifted right one
tab.  If no messages are specified, reads the current message.
.TP
.B ~p
Prints out the messages collected so far, prefaced by the message header
fields.
.TP
.B ~q
Aborts the message being sent, copying the message to
``dead.letter''
in your home directory if
.B save
is set.
.TP
\fB~r\fR filename
Reads the named file into the message buffer.
.TP
\fB~s\fR string
Causes the named string to become the current subject field.
.TP
\fB~t\fR name ...
Adds the given names to the direct recipient list.
.TP
.B ~v
Invokes a visual editor (defined by the VISUAL option) on the
message buffer. 
After you quit the editor, you may resume appending
text to the end of your message.
.TP
\fB~w\fR filename
Writes the message to the named file.
.TP 
\fB~!\fRcmd
Executes the indicated shell command, then returns to the message.
.TP
\fB~\||\|\fRcmd
Pipes the message through the command as a filter.  
If the command gives
no output or terminates abnormally, retains the original text of the
message.  
'\"	The command
'\"	.IR fmt (C)
'\"	is often used as
'\"	.I cmd
'\"	to rejustify the message.
.TP 
\fB~:\fRmail-cmd
Executes the indicated mail command, then returns to the message.
.TP
\fB~~\fRstring
Inserts the string of text in the message 
prefaced by a single tilde (~).  
If you have changed the escape character, then you should double
that character instead.
.PP
Options are controlled with the
.B set
and
.B unset
commands.  
An option may be either a switch,
in which case it is either on or off,
or a string, in which
case the actual value is of interest.
The switch options include the following:
.TP 15n
.B askcc
Causes you to be prompted for additional carbon copy recipients at the
end of each message.  
Responding with a newline indicates your
satisfaction with the current list.
.TP
.B asksubject
Causes
.I mail
to prompt you for the subject of each message you send.  If
you respond with simply a newline, no subject field is sent.
.TP 
.B autombox
Causes all examined messages to be saved
in the user mailbox unless deleted or saved.
.TP
.B autoprint
Causes the
.B delete
command to behave like
.B dp
\- thus, after deleting a message, the next one will be typed
automatically.
.TP
.B chron
Causes messages to be displayed in chronological order.
.TP
.B dot
Permits use of dot (.) as the end of file
character when composing messages.
.TP
.B ignore
Causes interrupt signals from your terminal to be ignored and 
echoed as at-signs (@).
.TP
.B metoo
Usually, when a group is expanded that contains the sender, the sender
is removed from the expansion.  Setting this option causes the sender
to be included in the group.
.TP
.B nosave
Prevents aborted messages from being appended to the file
.B dead.letter
in your home directory on receipt of two interrupts (or a \fB~q\fR.)
.TP 
.B prepend
Causes messages saved in
.I mbox
to be prepended to the end rather than appended.
.TP
.B quiet
Suppresses the printing of the version header when first invoked.
.PP
The following options have string values:
.TP 15n
.B \s-1EDITOR\s+1
Pathname of the text editor to use in the
.B edit
command and ~e escape.  If not defined, then a default editor is used.
.TP
.B \s-1SHELL\s+1
Pathname of the shell to use in the
.B !
command and the ~! escape.  A default shell is used if this option is
not defined.
.TP
.B \s-1VISUAL\s+1
Pathname of the text editor to use in the
.B visual
command and ~v escape.
.TP
.B escape
If defined, the first character of this option gives the character to
use in the place of the tilde (~) to denote escapes.
.TP
.B record
If defined, gives the pathname of the file used to record all outgoing
mail.  If not defined, then outgoing mail is not saved.
.TP
.B toplines
If defined, gives the number of lines of a message to be printed out
with the
.B top
command; normally, the first five lines are printed.
.bp
.SH Files
'\".if n .ta 2.5i
'\".if t .ta 1.8i
.TP 25
/usr/spool/mail/*
System mailboxes
.TP
~/mbox
Your old mail
.TP
~/.mailrc
File giving initial mail commands
.TP
/tmp/R#
Temporary file for editor escape
.TP
/usr/lib/mail/*	
Backend mailers
.TP
/usr/lib/Mail.help.*
Help files
.TP
/usr/lib/Mail.rc
System initialization file
.TP
/bin/mail
The mail command
.TP
/etc/delivermail
Mail dispatch program
.SH "See Also"
aliases(M)
