.\" bm# 0000002068
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)mkfs.C	1.1);


.ds mc 
.ds rv Revision 1
.TH MKFS C 
.SH Name
mkfs \- Constructs a file system.
.SH Syntax
.B /etc/mkfs
[ \-y ] [ \-n ] special proto [ m n ]
.SH Description
.I Mkfs
constructs a file system by writing on the special file
.I special
according to the directions found in the prototype file
.I proto.
The prototype file contains tokens separated by spaces or newlines.
The first token is the name of a file to be copied 
onto block zero as the bootstrap program.
The second token is a number specifying the
size of the created file system.
Typically it will be the number of blocks on the device,
perhaps diminished by space for swapping.
The next token is the number of inodes
in the i-list.
The next set of tokens comprise the specification
for the root file.
File specifications consist of tokens
giving the mode,
the user 
.SM ID\*Ss,
the group 
.SM ID\*Ss
and the initial contents of the file.
The syntax of the contents field
depends on the mode.
.PP
The mode token for a file is a 6-character string.
The first character specifies the type of the file.
(The characters
.B \-bcd
specify regular, block special,
character special and directory files
respectively.)
The second character of the type
is either
.B u
or
.B \-
to specify set-user-id mode or not.
The third is
.B g
or
.B \-
for the set-group-id mode.
The rest of the mode
is a 3-digit octal number giving the
owner, group, and other read, write, execute
permissions, see
.IR chmod (C).
.PP
Two decimal number
tokens come after the mode; they specify the
user and group 
.SM ID\*Ss
of the owner of the file.
.PP
If the file is a regular file,
the next token is a pathname
whence the contents and size are copied.
.PP
If the file is a block or character special file,
two decimal number tokens
follow which give the major and minor device numbers.
.PP
If the file is a directory,
.I mkfs
creates the entries ``dot''
.RB ( . )
and ``dot dot''
.RB ( .. )
and then reads a list of names and (recursively)
file specifications for the entries in the directory.
The scan is terminated by a dollar sign
.RB ( $ ).
.PP
If the prototype file cannot be opened and
its name consists of a string of digits,
.I mkfs
builds a file system with a single
empty directory on it.
The size of the file system is the value of
.I proto
interpreted as a decimal number.
The number of inodes is calculated
as a function of the file system size.
The boot program is left uninitialized.
.PP
.I Mkfs
can also be used to create a file system image in a regular
file, rather than on a special device file, 
by giving the pathname of the target file, instead of
.IR special .
.PP
If the target file is not a regular file, then
.I mkfs
checks for an existing file system on that device. 
If it appears
the device contains a file system, operator confirmation is
requested before overwriting the data. 
The 
.B \-y 
``yes'' switch overrides
this, and writes over any existing data without question. 
The
.B \-n 
switch causes
.I mkfs
to terminate without question 
if the target contains an existing file system. 
The check used is to read block one from the target
device (block one is the super block) and see whether the bytes 
are all the same. 
If they are not, this is taken to be meaningful
data, and confirmation is requested.
.PP
A sample prototype specification follows:
.PP
.nf
.in +5
.RI /stand/ diskboot\^
4872 110
d\-\-777 3 1
usr	d\-\-777 3 1
	sh	\-\-\-755 3 1 /bin/sh
	ken	d\-\-755 6 1
		$
	b0	b\-\-644 3 1 0 0
	c0	c\-\-644 3 1 0 0
	$
$
.in -5
.fi
.SH "See Also"
filesystem(F)
dir(F)
.SH Notes
There is no way to specify links.
