.\" bm# 0000002178
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)shutdown.C	1.1);


.ds mc 
.ds rv Revision 1
.TH SHUTDOWN C
.SH Name
shutdown \- Terminates all processing.
.SH Syntax
.B /etc/shutdown
[ time ] [ su ]
.SH Description
.I Shutdown\^
is part of the
.SM XENIX
operation procedures.
Its
primary function is to terminate all currently running processes
in an orderly and cautious manner.
The 
.I time\^
argument is the number of minutes before a shutdown
will occur; default is five minutes.
The optional
.I su
argument lets the user go single-user, without
completely shutting down the system.
However, the system is shut down for multiuser use.
.I Shutdown\^
goes through the following steps.
First,
all users logged on the system are notified to log off the system
by a broadcasted message. 
All file system super-blocks are updated before the system is 
stopped (see
.IR sync (C)).
This must be done before rebooting the system,
to insure file system integrity.
.SH "See Also"
sync(C), umount(C), wall(C)
.SH Diagnostics
The most common error diagnostic that will occur is
.IR "device busy" .
This diagnostic appears when a particular file system could not
be unmounted.
See
.IR umount (C).
.SH Notes
Once 
.I shutdown
has been invoked it must be allowed to run to
completion and must
.I not
be interrupted by pressing
.SM BREAK
or 
.SM DEL.
