.\" bm# 0000002169
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)tail.C	1.1);


.ds mc 
.ds rv Revision 1
.TH TAIL C
.SH Name
tail \- Delivers the last part of a file.
.SH Syntax
.B tail
[
.RB \(+-[number][ lbc ]
[
.B \-f
] ] [ file ]
.SH Description
.I Tail\^
copies the named file to the standard output beginning
at a designated place.
If no file is named, the standard input is used.
.PP
Copying begins at distance
.BI + number\^
from the beginning, or
.BI \- number\^
from the end of the input
(if
.I number\^
is null, the value 10 is assumed).
.I Number\^
is counted in units of lines, blocks, or characters,
according to the appended option
.BR l ,
.BR b ,
or
.BR c .
When no units are specified, counting is by lines.
.PP
With the
.B \-f
(``follow'') option, if the input file is not a pipe,
the program will not terminate after the line of the input
file has been copied, but will enter an endless loop, wherein it
sleeps for a second and then attempts to read and copy
further records from the input file.
Thus it may be used to monitor the growth of a file that is
being written by some other process.
For example, the command:
.PP
.RS
tail \|\-f \|file
.RE
.PP
will print the last ten lines of \fIfile\fR,
followed by any lines that are appended to
.B file
between the time
.I tail\^
is initiated and killed.
.SH "See Also"
dd(C)
.SH Notes
Tails relative to the end of the file
are kept in a buffer, and thus are limited in length.
Unpredictable results can occur if
character special files are ``tailed''.
